Package net.shibboleth.idp.cas.protocol

# Enum Class ProtocolParam

java.lang.Object
java.lang.Enum<ProtocolParam>
net.shibboleth.idp.cas.protocol.ProtocolParam

All Implemented Interfaces:
  `Serializable`, `Comparable<ProtocolParam>`, `Constable`

public enum ProtocolParam extends Enum<ProtocolParam>
Protocol parameter name enumeration.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Gateway`
Gateway authentication flag.
`Method`
Method parameter.
`Pgt`
Proxy-granting ticket.
`PgtId`
Proxy-granting ticket identifier sent to proxy callback URL.
`PgtIou`
Proxy-granting ticket IOU identifier.
`PgtUrl`
Proxy-granting ticket callback URL.
`Renew`
Forced authentication flag.
`Service`
Service identifier, which is typically a URL.
`TargetService`
Target service for proxy-granting ticket.
`Ticket`
Service ticket.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ProtocolParam()`

## Method Summary

Modifier and Type
Method
Description
`String`
`id()`
Converts enumeration name to lower-case name as used by CAS protocol document.
`static ProtocolParam`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ProtocolParam[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Service

public static final ProtocolParam Service
Service identifier, which is typically a URL.

### Ticket

public static final ProtocolParam Ticket
Service ticket.

### Renew

public static final ProtocolParam Renew
Forced authentication flag.

### Gateway

public static final ProtocolParam Gateway
Gateway authentication flag.

### Method

public static final ProtocolParam Method
Method parameter.

Since:
  CAS Protocol 3.0

### Pgt

public static final ProtocolParam Pgt
Proxy-granting ticket.

### PgtId

public static final ProtocolParam PgtId
Proxy-granting ticket identifier sent to proxy callback URL.

### PgtIou

public static final ProtocolParam PgtIou
Proxy-granting ticket IOU identifier.

### PgtUrl

public static final ProtocolParam PgtUrl
Proxy-granting ticket callback URL.

### TargetService

public static final ProtocolParam TargetService
Target service for proxy-granting ticket.

## Constructor Details

### ProtocolParam

private ProtocolParam()

## Method Details

### values

public static ProtocolParam[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ProtocolParam valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### id

@Nonnull public String id()
Converts enumeration name to lower-case name as used by CAS protocol document.

Returns:
  Enumeration name with first letter lower-cased.